Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"

From: Gregory Heytings <[email-masked]>
Date: Mon, 05 Sep 2022 09:10:16 +0000

>> (BTW, this also means that the OP could solve his problem by using 
>> "eo.UTF-8" for his locale instead of only "eo".)
>
> That locale doesn't seem to exist on Debian systems, for instance:
>
> $ grep eo /etc/locale.gen
> # eo UTF-8
> # eo_US.UTF-8 UTF-8
>

Sorry, I meant "eo" and "eo.utf8".  You can try (after activating the "eo" 
locale):

env LC_ALL=eo emacs -Q
env LC_ALL=eo.utf8 emacs -Q

and you'll see that in the latter case UTF-8 is used and in the former 
Latin-3.  You'd get the same result with LANG instead of LC_ALL.